org.apache.xmlbeans.impl.xb.ltgfmt.impl

## Class TestCaseImpl.FilesImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.ltgfmt.impl.TestCaseImpl.FilesImpl

All Implemented Interfaces:
  Serializable, TypeStoreUser, TestCase.Files, SimpleValue, XmlObject, XmlTokenSource

Enclosing class:
  TestCaseImpl

    public static class TestCaseImpl.FilesImpl
    extends XmlComplexContentImpl
    implements TestCase.Files

An XML files(@http://www.bea.com/2003/05/xmlbean/ltgfmt). This is a complex type.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

`_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

### Fields inherited from interface org.apache.xmlbeans.impl.xb.ltgfmt.TestCase.Files

`Factory, type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Constructor Summary

Constructors
Constructor and Description
`FilesImpl(SchemaType sType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`FileDesc` `addNewFile()` Appends and returns a new empty value (as xml) as the last "file" element
`FileDesc[]` `getFileArray()` Gets array of all "file" elements
`FileDesc` `getFileArray(int i)` Gets ith "file" element
`List<FileDesc>` `getFileList()` Gets a List of "file" elements
`FileDesc` `insertNewFile(int i)` Inserts and returns a new empty value (as xml) as the ith "file" element
`void` `removeFile(int i)` Removes the ith "file" element
`void` `setFileArray(FileDesc[] fileArray)` Sets array of all "file" element WARNING: This method is not atomicaly synchronized.
`void` `setFileArray(int i, FileDesc file)` Sets ith "file" element
`int` `sizeOfFileArray()` Returns number of "file" element

### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

`arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

`_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Constructor Detail

#### FilesImpl

    public FilesImpl(SchemaType sType)

### Method Detail

#### getFileList

    public List<FileDesc> getFileList()

Gets a List of "file" elements

Specified by:
  `getFileList` in interface `TestCase.Files`

#### getFileArray

    public FileDesc[] getFileArray()

Gets array of all "file" elements

Specified by:
  `getFileArray` in interface `TestCase.Files`

#### getFileArray

    public FileDesc getFileArray(int i)

Gets ith "file" element

Specified by:
  `getFileArray` in interface `TestCase.Files`

#### sizeOfFileArray

    public int sizeOfFileArray()

Returns number of "file" element

Specified by:
  `sizeOfFileArray` in interface `TestCase.Files`

#### setFileArray

    public void setFileArray(FileDesc[] fileArray)

Sets array of all "file" element WARNING: This method is not atomicaly synchronized.

Specified by:
  `setFileArray` in interface `TestCase.Files`

#### setFileArray

    public void setFileArray(int i,
                             FileDesc file)

Sets ith "file" element

Specified by:
  `setFileArray` in interface `TestCase.Files`

#### insertNewFile

    public FileDesc insertNewFile(int i)

Inserts and returns a new empty value (as xml) as the ith "file" element

Specified by:
  `insertNewFile` in interface `TestCase.Files`

#### addNewFile

    public FileDesc addNewFile()

Appends and returns a new empty value (as xml) as the last "file" element

Specified by:
  `addNewFile` in interface `TestCase.Files`

#### removeFile

    public void removeFile(int i)

Removes the ith "file" element

Specified by:
  `removeFile` in interface `TestCase.Files`